# ORSCF-Specification for the 'IdentityManagementSystem' API

![](logo.jpg) 

|          | Info                                                         |
| -------- | ------------------------------------------------------------ |
| author:  | [ORSCF](https://www.orscf.org) ("Open Research Study Communication Formats") |
| license: | [Apache-2](https://choosealicense.com/licenses/apache-2.0/)  |



### Contents:

| File                                                  | Description                                                  |
| ----------------------------------------------------- | ------------------------------------------------------------ |
| [IMS-Models](./ImsModels.md)                          | Markdown-**Documentation of the domain model** which is defined for this API |
| [Schema.json](./ORSCF-IdentityManagement.Schema.json) | a json-based representation of the domain model which can be used to generate entities |
| [IMS-Services](./ImsServices.md)                      | Markdown-**Documentation of the services** (interface-contracts) which are defined for this API |
| [Swagger-Definition](./swagger.json)                  | a json-based [OpenAPI](https://en.wikipedia.org/wiki/OpenAPI_Specification) definition, which can be used to generate client oder server code for REST-APIs |



### see also:

|Specification|Description|Content|
|----|-----------|----|
|[SMS-API](../StudyManagement/readme.md)|Spec. for the 'StudyManagementSystem' API|studies & sites|
|[SDR-API](../SubjectData/readme.md)|Spec. for the 'SubjectDataRepository' API|subjects (operative data)|
|[VDR-API](../VisitData/readme.md)|Spec. for the 'VisitDataRepository' API|research data|
|[BDR-API](../BillingData/readme.md)|Spec. for the 'BillingDataRepository' API|billing data|
|[WDR-API](../StudyWorkflowDefinition/readme.md)|Spec. for the 'WorkflowDefinitionRepository' API|digital study protocols|